package com.gic.store.constant;

public enum StoreESFieldsEnum {
    STOREID("storeId", "门店"),
    STOREINFOID("storeInfoId", "门店资料"),
    STORENAME("storeName", "门店名称"),
    STORECODE("storeCode", "门店代码"),
    ENTERPRISEID("enterpriseId", "企业id"),
    REGIONID("regionId", "门店域"),
    REGIONNAME("regionName", "门店域名称"),
    STOREGROUPID("storeGroupId", "门店分组"),
    STOREGROUPIDLIST("storeGroupIdList", "门店分组"),
    STOREGROUPNAME("storeGroupName", "门店分组名称"),
    PROVINCEID("provinceId", "省份"),
    CITYID("cityId", "城市"),
    COUNTYID("countyId", "地区"),
    PROVINCES("provinces", "门店地区"),
    STOREBRANDIDLIST("storeBrandIdList", "店招品牌"),
    STOREBRANDS("storeBrands", "店招品牌"),
    STATUS("status", "门店启用状态"),
    COMPLETESTATUS("completeStatus", "资料完善状态"),
    CREATETYPE("createType", "创建方式"),
    STORETYPE("storeType", "门店类型"),
    ERPSTATUS("erpStatus", "门店状态"),
    AREAIDS("areaIds", "门店地区"),
    ID("id", "文档id"),
    CUSTOM("custom", "自定义字段"),
    SELECT("select", "选项字段"),
    STORETAG("storeTag", "门店标签"),
    OWNTYPE("ownType", "门店是否共享"),
    PHOTOLIST("photoList", "门店图片"),
    BUSSINESSTIME("businessTimeList", "门店营业时间"),
    ADDRESS("address", "门店详细地址"),
    LOCATION("location", "经纬度"),
    C1("c1", "自定义字段1"),
    C2("c2", "自定义字段2"),
    C3("c3", "自定义字段3"),
    C4("c4", "自定义字段4"),
    C5("c5", "自定义字段5"),
    C6("c6", "自定义字段6"),
    C7("c7", "自定义字段7"),
    C8("c8", "自定义字段8"),
    C9("c9", "自定义字段9"),
    C10("c10", "自定义字段10");

    private String field;
    private String desc;

    StoreESFieldsEnum(String field, String desc){
        this.field = field;
        this.desc = desc;
    }

    public String getField() {
        return field;
    }

    public void setField(String field) {
        this.field = field;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
