package com.gic.store.constant;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-11-11 10:28
 */
public enum StoreLogReasonEnum {
    WEB(1, "WEB后台操作"),
    EXTERNAL(2, "外部触发"),
    ORDER(3, "订单同步"),
    MEMBER(4, "会员同步"),
    SYSTEM(5, "系统配置触发"),
    ;
    private int code;
    private String message;

    StoreLogReasonEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
