package com.gic.store.utils;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.exception.CommonException;

/**
 * controller端统一返回工具方法
 * @ClassName: CommonResultControllerUtils 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/7 10:12 AM 
 */
public class CommonResultControllerUtils {

    public static Object commonResult(ServiceResponse response) {
        if (response.isSuccess()) {
            return response.getResult();
        } else {
            throw new CommonException(response.getCode(), response.getMessage());
        }
    }
}
