package com.gic.store.web.vo.storefield;

import com.gic.store.constant.StoreFieldTypeEnum;

import java.io.Serializable;

/**
 * @author guojx
 * @date 2019/7/2 2:40 PM
 */
public class StoreFieldVO implements Serializable{
    private static final long serialVersionUID = -3797107559383935002L;

    /**
     *
     */
    private Integer storeFieldId;

    /**
     * 属性名称
     */
    private String storeFieldName;

    /**
     * 属性code
     */
    private String storeFieldCode;

    /**
     * 字段类型；1文本   2单选  3多选  4实数  5时间
     */
    private Integer storeFieldType;

    private String storeFieldTypeName;

    /**
     * 门店域id
     */
    private String storeRegionId;

    /**
     * 域名称
     */
    private String regionName;

    /**
     * 排序字段
     */
    private Double sort;
    /**
     * 排序值
     */
    private Integer seq;
    /**
     * 是否是映射 1：是
     */
    private Integer isErpMapping;

    /**
     * 是否是筛选/列表支持 1：是
     */
    private Integer isFilter;

    public Integer getStoreFieldId() {
        return storeFieldId;
    }

    public void setStoreFieldId(Integer storeFieldId) {
        this.storeFieldId = storeFieldId;
    }

    public String getStoreFieldName() {
        return storeFieldName;
    }

    public void setStoreFieldName(String storeFieldName) {
        this.storeFieldName = storeFieldName;
    }

    public String getStoreFieldCode() {
        return storeFieldCode;
    }

    public void setStoreFieldCode(String storeFieldCode) {
        this.storeFieldCode = storeFieldCode;
    }

    public Integer getStoreFieldType() {
        return storeFieldType;
    }

    public void setStoreFieldType(Integer storeFieldType) {
        this.storeFieldType = storeFieldType;
    }

    public Double getSort() {
        return sort;
    }

    public void setSort(Double sort) {
        this.sort = sort;
    }

    public Integer getSeq() {
        return seq;
    }

    public void setSeq(Integer seq) {
        this.seq = seq;
    }

    public String getStoreFieldTypeName() {
        return StoreFieldTypeEnum.getNameByCode(storeFieldType);
    }

    public void setStoreFieldTypeName(String storeFieldTypeName) {
        this.storeFieldTypeName = storeFieldTypeName;
    }

    public String getRegionName() {
        return regionName;
    }

    public void setRegionName(String regionName) {
        this.regionName = regionName;
    }

    public String getStoreRegionId() {
        return storeRegionId;
    }

    public void setStoreRegionId(String storeRegionId) {
        this.storeRegionId = storeRegionId;
    }

    public Integer getIsErpMapping() {
        return isErpMapping;
    }

    public void setIsErpMapping(Integer isErpMapping) {
        this.isErpMapping = isErpMapping;
    }

    public Integer getIsFilter() {
        return isFilter;
    }

    public void setIsFilter(Integer isFilter) {
        this.isFilter = isFilter;
    }
}
