package com.gic.store.dto;

import java.io.Serializable;
import java.util.List;

/**
 * tab_store
 */
public class StoreDTO extends StoreInfoDTO implements Serializable {
    /**
     * 
     */
    private Integer storeId;

    /**
     *
     */
    private Integer enterpriseId;
    /**
     * 是否共享  1是0否
     */
    private Integer ownType;

    /**
     * 
     */
    private Integer status;

    /**
     *
     */
    private Integer storeGroupId;

    private List<Integer> storeGroupIdList;

    private String storeGroupName;
    private Integer isEditStoreGroup;

    private Integer fromEnterpriseId;
    private String fromEnterpriseName;

    /**
     * 事由   1:web后台操作   2:外部触发   3:订单同步  4:会员同步  5:系统配置触发
     */
    private Integer reason;
    private String remark;
    private Integer operatorId;
    private String operatorName;

    public Integer getStoreId() {
        return storeId;
    }

    public void setStoreId(Integer storeId) {
        this.storeId = storeId;
    }

    public Integer getStoreGroupId() {
        return storeGroupId;
    }

    public void setStoreGroupId(Integer storeGroupId) {
        this.storeGroupId = storeGroupId;
    }

    public Integer getOwnType() {
        return ownType;
    }

    public void setOwnType(Integer ownType) {
        this.ownType = ownType;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public List<Integer> getStoreGroupIdList() {
        return storeGroupIdList;
    }

    public void setStoreGroupIdList(List<Integer> storeGroupIdList) {
        this.storeGroupIdList = storeGroupIdList;
    }

    public String getStoreGroupName() {
        return storeGroupName;
    }

    public void setStoreGroupName(String storeGroupName) {
        this.storeGroupName = storeGroupName;
    }

    public Integer getIsEditStoreGroup() {
        return isEditStoreGroup;
    }

    public void setIsEditStoreGroup(Integer isEditStoreGroup) {
        this.isEditStoreGroup = isEditStoreGroup;
    }

    public Integer getFromEnterpriseId() {
        return fromEnterpriseId;
    }

    public void setFromEnterpriseId(Integer fromEnterpriseId) {
        this.fromEnterpriseId = fromEnterpriseId;
    }

    public void setFromEnterpriseName(String fromEnterpriseName) {
        this.fromEnterpriseName = fromEnterpriseName;
    }

    public String getFromEnterpriseName() {
        return fromEnterpriseName;
    }

    public Integer getReason() {
        return reason;
    }

    public void setReason(Integer reason) {
        this.reason = reason;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Integer getOperatorId() {
        return operatorId;
    }

    public void setOperatorId(Integer operatorId) {
        this.operatorId = operatorId;
    }

    public String getOperatorName() {
        return operatorName;
    }

    public void setOperatorName(String operatorName) {
        this.operatorName = operatorName;
    }
}