package com.gic.store.dto;

import java.io.Serializable;
import java.util.List;

public class StoreEsDTO implements Serializable {
    private Integer storeId;
    private Integer storeInfoId;
    private String storeName;
    private String storeCode;
    private Integer enterpriseId;
    private Integer regionId;
    private String regionName;
    private Integer storeGroupId;
    private List<Integer> storeGroupIdList;
    private String storeGroupName;
    private String provinceId;
    private String cityId;
    private String countyId;
    private String provinces;//省市区全称
    private List<Integer> storeBrandIdList;
    private String storeBrands;
    private Integer status;
    private Integer completeStatus;
    private Integer createType;
    private Integer storeType;
    private Integer erpStatus;
    private List<String> areaIds;
    private String id;
    private Integer ownType;
    private List<StorePhotoDTO> photoList;
    private List<StoreBusinessTimeDTO> businessTimeList;
    private String location;
    private String address;

    public Integer getStoreId() {
        return storeId;
    }

    public void setStoreId(Integer storeId) {
        this.storeId = storeId;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public String getStoreCode() {
        return storeCode;
    }

    public void setStoreCode(String storeCode) {
        this.storeCode = storeCode;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getRegionId() {
        return regionId;
    }

    public void setRegionId(Integer regionId) {
        this.regionId = regionId;
    }

    public String getRegionName() {
        return regionName;
    }

    public void setRegionName(String regionName) {
        this.regionName = regionName;
    }

    public Integer getStoreGroupId() {
        return storeGroupId;
    }

    public void setStoreGroupId(Integer storeGroupId) {
        this.storeGroupId = storeGroupId;
    }

    public List<Integer> getStoreGroupIdList() {
        return storeGroupIdList;
    }

    public void setStoreGroupIdList(List<Integer> storeGroupIdList) {
        this.storeGroupIdList = storeGroupIdList;
    }

    public String getStoreGroupName() {
        return storeGroupName;
    }

    public void setStoreGroupName(String storeGroupName) {
        this.storeGroupName = storeGroupName;
    }

    public String getProvinceId() {
        return provinceId;
    }

    public void setProvinceId(String provinceId) {
        this.provinceId = provinceId;
    }

    public String getCityId() {
        return cityId;
    }

    public void setCityId(String cityId) {
        this.cityId = cityId;
    }

    public String getCountyId() {
        return countyId;
    }

    public void setCountyId(String countyId) {
        this.countyId = countyId;
    }

    public String getProvinces() {
        return provinces;
    }

    public void setProvinces(String provinces) {
        this.provinces = provinces;
    }

    public List<Integer> getStoreBrandIdList() {
        return storeBrandIdList;
    }

    public void setStoreBrandIdList(List<Integer> storeBrandIdList) {
        this.storeBrandIdList = storeBrandIdList;
    }

    public String getStoreBrands() {
        return storeBrands;
    }

    public void setStoreBrands(String storeBrands) {
        this.storeBrands = storeBrands;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getCompleteStatus() {
        return completeStatus;
    }

    public void setCompleteStatus(Integer completeStatus) {
        this.completeStatus = completeStatus;
    }

    public Integer getCreateType() {
        return createType;
    }

    public void setCreateType(Integer createType) {
        this.createType = createType;
    }

    public Integer getStoreType() {
        return storeType;
    }

    public void setStoreType(Integer storeType) {
        this.storeType = storeType;
    }

    public Integer getErpStatus() {
        return erpStatus;
    }

    public void setErpStatus(Integer erpStatus) {
        this.erpStatus = erpStatus;
    }

    public List<String> getAreaIds() {
        return areaIds;
    }

    public void setAreaIds(List<String> areaIds) {
        this.areaIds = areaIds;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Integer getStoreInfoId() {
        return storeInfoId;
    }

    public void setStoreInfoId(Integer storeInfoId) {
        this.storeInfoId = storeInfoId;
    }

    public Integer getOwnType() {
        return ownType;
    }

    public void setOwnType(Integer ownType) {
        this.ownType = ownType;
    }

    public List<StorePhotoDTO> getPhotoList() {
        return photoList;
    }

    public void setPhotoList(List<StorePhotoDTO> photoList) {
        this.photoList = photoList;
    }

    public List<StoreBusinessTimeDTO> getBusinessTimeList() {
        return businessTimeList;
    }

    public void setBusinessTimeList(List<StoreBusinessTimeDTO> businessTimeList) {
        this.businessTimeList = businessTimeList;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }
}
