package com.gic.store.utils.field;


import java.util.List;

/**
 * @author zhiwj
 * @date 2019/7/5
 */
public class FieldBase {
    private Integer allowEdit;
    private Integer isMust;
    private Integer allowRepeat;
    private String value;

    public void setAllowEdit(Integer allowEdit) {
        this.allowEdit = allowEdit;
    }

    public void setIsMust(Integer isMust) {
        this.isMust = isMust;
    }

    public void setAllowRepeat(Integer allowRepeat) {
        this.allowRepeat = allowRepeat;
    }

    public boolean getAllowEdit() {
        return allowEdit == 1;
    }

    public boolean getIsMust() {
        return isMust == 1;
    }

    public boolean getAllowRepeat() {
        return allowRepeat == 1;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String validate(String value){
        if (getIsMust() && (value == null || "".equals(value))) {
            return "不能为空";
        }else {
            return null;
        }
    }

    public String validateSelect(String value, List<String> nameList){
        String msg = validate(value);
        if (msg != null) {
            return msg;
        }
        if (value != null && !"".equals(value)) {
            String[] values = value.split(",");
            for (String val : values) {
                boolean exist = false;
                for (String name : nameList) {
                    if (name.equals(val)) {
                        exist = true;
                    }
                }
                if (!exist) {
                    return value + " 有选项不存在";
                }
            }
        }
        return null;
    }
}
