package com.gic.store.service;

import com.gic.store.dto.StoreBrandDTO;
import com.gic.store.entity.TabStoreBrand;
import com.github.pagehelper.Page;

import java.util.List;

/**
 * @author zhiwj
 * @date 2019/6/26
 */
public interface StoreBrandService {
    Integer save(StoreBrandDTO storeBrandDTO);

    Integer update(StoreBrandDTO storeBrandDTO);

    int countByStoreBrandCode(Integer enterpriseId, String storeBrandCode, Integer storeBrandId);

    int countByStoreBrandName(Integer enterpriseId, String storeBrandName, Integer storeBrandId);

    Page<TabStoreBrand> listStoreBrand(Integer enterpriseId, String search, Integer pageNum, Integer pageSize);

    List<TabStoreBrand> listAllStoreBrand(Integer enterpriseId, String search);

    void sortMoveUp(Integer enterpriseId, Integer storeBrandId);

    void sortMoveDown(Integer enterpriseId, Integer storeBrandId);

    void sortTopping(Integer enterpriseId, Integer storeBrandId);

    void sortBottom(Integer enterpriseId, Integer storeBrandId);

    void setStoreBrandSort(Integer enterpriseId, Integer storeBrandId, Integer seq);

    Integer deleteByIds(Integer enterpriseId, List<Integer> delList);

    List<TabStoreBrand> listStoreBrandByIds(String brandIds);

    List<TabStoreBrand> listStoreBrandByIds(List<Integer> brandIdList);

    TabStoreBrand getById(Integer storeBrandId);
}
