package com.gic.store.service;

import com.gic.store.dto.StoreRegionDTO;
import com.gic.store.entity.TabStoreRegion;
import com.github.pagehelper.Page;

import java.util.List;

/**
 * @author zhiwj
 * @date 2019/6/24
 */
public interface StoreRegionService {

    int countByRegionCode(Integer enterpriseId, String regionCode);

    int countByRegionName(Integer enterpriseId, String regionName, Integer regionId);

    Integer save(Integer enterpriseId, String regionCode, String regionName);

    int update(Integer regionId, String regionName);

    Page<StoreRegionDTO> listStoreRegion(Integer enterpriseId, String search, Integer pageNum, Integer pageSize);

    List<StoreRegionDTO> listStoreRegion(Integer enterpriseId, String search, Integer ownType);

    List<Integer> listStoreRegion(Integer enterpriseId);

    TabStoreRegion getById(Integer enterpriseId, Integer regionId);

    List<StoreRegionDTO> listStoreRegionByIds(Integer enterpriseId, List<Integer> storeRegionIdList, Integer ownType);

    List<StoreRegionDTO> listStoreRegionByIds(Integer enterpriseId, List<Integer> storeRegionIdList);
}
